## rally-openstack 2.0.0

=== requirements.txt ===
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

requests!=2.20.0                                       # Apache License, Version 2.0

rally>=3.1.0                                           # Apache License, Version 2.0

# OpenStack related
gnocchiclient                                          # Apache Software License
keystoneauth1                                          # Apache Software License
kubernetes                                             # Apache License Version 2.0
os-faults>=0.2.0                                       # Apache Software License
osprofiler                                             # Apache Software License
python-barbicanclient                                  # Apache Software License
python-ceilometerclient                                # Apache Software License
python-cinderclient!=4.0.0                             # Apache Software License
python-designateclient                                 # Apache License, Version 2.0
python-heatclient                                      # Apache Software License
python-glanceclient                                    # Apache License, Version 2.0
python-ironicclient!=2.5.2,!=2.7.1,!=3.0.0             # Apache Software License
python-keystoneclient!=2.1.0                           # Apache Software License
python-magnumclient                                    # Apache Software License
python-manilaclient                                    # Apache Software License
python-mistralclient!=3.2.0                            # Apache Software License
python-muranoclient                                    # Apache License, Version 2.0
python-monascaclient                                   # Apache Software License
python-neutronclient                                   # Apache Software License
python-novaclient                                      # Apache License, Version 2.0
python-octaviaclient                                   # Apache Software License
python-saharaclient                                    # Apache License, Version 2.0
python-senlinclient                                    # Apache Software License
python-swiftclient                                     # Apache Software License
python-troveclient                                     # Apache Software License
python-watcherclient                                   # Apache Software License
python-zaqarclient                                     # Apache Software License

=== debian/changelog ===
rally-openstack (2.0.0-2) unstable; urgency=medium

  * d/rules: Do not call "dh_python3 /usr/share" (Closes: #985053).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 15:43:44 +0100

rally-openstack (2.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fix FTBFS (Closes: #975823).
  * Removed remove-failing-py38-tests.patch.
  * Fixed (build-)depends for this release.
  * Add disable-some-failing-lists.patch.
  * Switch to debhelper-compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2020 09:03:36 +0200

rally-openstack (1.7.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2020 17:37:05 +0200

rally-openstack (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #917625)

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:40:51 +0100

=== debian/control ===
Source: rally-openstack
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 108~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-barbicanclient,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-dateutil,
 python3-ddt,
 python3-designateclient,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-ironicclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kubernetes,
 python3-magnumclient,
 python3-manilaclient,
 python3-mistralclient,
 python3-monascaclient,
 python3-muranoclient,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-os-faults,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslosphinx,
 python3-osprofiler,
 python3-pygments,
 python3-pytest,
 python3-rally (>= 3.1.0),
 python3-requests,
 python3-saharaclient,
 python3-senlinclient,
 python3-swiftclient,
 python3-testtools,
 python3-troveclient,
 python3-watcherclient,
 python3-zaqarclient,
 rally (>= 2.1.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/rally-openstack
Vcs-Browser: https://salsa.debian.org/openstack-team/services/rally-openstack
Vcs-Git: https://salsa.debian.org/openstack-team/services/rally-openstack.git

Package: python3-rally-openstack
Section: python
Architecture: all
Depends:
 rally (>= 3.1.0),
 python3-barbicanclient,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-designateclient,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-heatclient,
 python3-ironicclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kubernetes,
 python3-magnumclient,
 python3-manilaclient,
 python3-mistralclient,
 python3-monascaclient,
 python3-muranoclient,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-os-faults,
 python3-osprofiler,
 python3-rally (>= 3.1.0),
 python3-requests,
 python3-saharaclient,
 python3-senlinclient,
 python3-swiftclient,
 python3-troveclient,
 python3-watcherclient,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack plugin for the Rally benchmark system - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code of the OpenStack pluggin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	python3 setup.py clean

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			PYTHON=python$$PYVER \
			python$$PYVER -m pytest tests/unit ; \
	done
endif

	dh_install
	
#	rm -rf $(CURDIR)/debian/python3-rally/usr/etc
#	mv $(CURDIR)/debian/python3-rally/usr/bin $(CURDIR)/debian/rally/usr

	mkdir -p $(CURDIR)/debian/python3-rally-openstack/etc/rally
	oslo-config-generator --output-file $(CURDIR)/debian/python3-rally-openstack/etc/rally/rally-openstack.conf \
		--namespace rally \
		--namespace rally_openstack \
		--namespace oslo.db \
		--namespace oslo.log

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	rm -rf $(CURDIR)/debian/python3-rally-openstack/usr/share/doc/python3-rally-openstack/rally-jobs/plugins/__pycache__
	rm -rf $(CURDIR)/debian/python3-rally-openstack/usr/share/doc/python3-rally-openstack/rally-jobs/plugins/test_relative_import/__pycache__

## rally-openstack 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -1,18 +1,17 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-requests!=2.20.0                                       # Apache License, Version 2.0
+requests!=2.20.0,!=2.24.0                              # Apache License, Version 2.0
 
 rally>=3.1.0                                           # Apache License, Version 2.0
 
 # OpenStack related
-gnocchiclient                                          # Apache Software License
+gnocchiclient!=7.0.7                                   # Apache Software License
 keystoneauth1                                          # Apache Software License
 kubernetes                                             # Apache License Version 2.0
 os-faults>=0.2.0                                       # Apache Software License
 osprofiler                                             # Apache Software License
 python-barbicanclient                                  # Apache Software License
-python-ceilometerclient                                # Apache Software License
 python-cinderclient!=4.0.0                             # Apache Software License
 python-designateclient                                 # Apache License, Version 2.0
 python-heatclient                                      # Apache Software License

=== debian/changelog ===
rally-openstack (2.2.0-3ubuntu1) noble; urgency=medium

  * Merge from Debian; remaining changes:
    - d/rules: plugin loading workaround, to fix "test_plugins_loaded"
    - d/p/fix-ftbfs-gnocchiclient-ujson.patch: Fix FTBFS (LP#1996181)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 21 Nov 2023 17:44:06 +0100

rally-openstack (2.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049305).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 15:24:48 +0200

rally-openstack (2.2.0-2ubuntu1) lunar; urgency=medium

  * d/rules: plugin loading workaround, to fix "test_plugins_loaded"
  * d/p/fix-ftbfs-gnocchiclient-ujson.patch: Fix FTBFS (LP: #1996181)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 10 Nov 2022 14:07:28 +0100

rally-openstack (2.2.0-2) unstable; urgency=medium

  * Add use-resolvectl-not-systemd-resolve.patch (Closes: #990495).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:13:21 +0100

rally-openstack (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-ceilometerclient from (build-)depends.
  * Test with installed package.
  * Use -W ignore::pytest.PytestCollectionWarning when running tests
    (Closes: #997536).
  * Add remove-gnocchiclient-constraint.patch. 

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Nov 2021 10:52:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rally-openstack
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,7 +15,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-barbicanclient,
- python3-ceilometerclient,
  python3-cinderclient,
  python3-dateutil,
  python3-ddt,
@@ -63,7 +63,6 @@
 Depends:
  rally (>= 3.1.0),
  python3-barbicanclient,
- python3-ceilometerclient,
  python3-cinderclient,
  python3-designateclient,
  python3-glanceclient,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	mkdir -p $(CURDIR)/debian/tmp/etc/rally
	oslo-config-generator --output-file $(CURDIR)/debian/tmp/etc/rally/rally-openstack.conf \
		--namespace rally \
		--namespace rally_openstack \
		--namespace oslo.db \
		--namespace oslo.log

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for PYVER in $(PYTHON3S); do \
		RALLY_PLUGIN_PATHS=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/rally_openstack \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			PYTHON=python$$PYVER \
			python$$PYVER -m pytest -Wignore -Wignore::pytest.PytestCollectionWarning tests/unit ; \
	done
endif

	dh_install
	
#	rm -rf $(CURDIR)/debian/python3-rally/usr/etc
#	mv $(CURDIR)/debian/python3-rally/usr/bin $(CURDIR)/debian/rally/usr


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	rm -rf $(CURDIR)/debian/python3-rally-openstack/usr/share/doc/python3-rally-openstack/rally-jobs/plugins/__pycache__
	rm -rf $(CURDIR)/debian/python3-rally-openstack/usr/share/doc/python3-rally-openstack/rally-jobs/plugins/test_relative_import/__pycache__

## rally-openstack 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-requests!=2.20.0,!=2.24.0                              # Apache License, Version 2.0
+requests!=2.20.0,!=2.24.0                              # Apache-2.0
 
-rally>=3.1.0                                           # Apache License, Version 2.0
+rally>=4.1.0                                           # Apache License, Version 2.0
 
 # OpenStack related
-gnocchiclient!=7.0.7                                   # Apache Software License
+gnocchiclient                                          # Apache Software License
 keystoneauth1                                          # Apache Software License
 kubernetes                                             # Apache License Version 2.0
 os-faults>=0.2.0                                       # Apache Software License
@@ -28,7 +28,7 @@
 python-octaviaclient                                   # Apache Software License
 python-saharaclient                                    # Apache License, Version 2.0
 python-senlinclient                                    # Apache Software License
-python-swiftclient                                     # Apache Software License
+python-swiftclient                                     # Apache License, Version 2.0
 python-troveclient                                     # Apache Software License
 python-watcherclient                                   # Apache Software License
 python-zaqarclient                                     # Apache Software License

=== debian/changelog ===
rally-openstack (3.0.0-8) unstable; urgency=medium

  * Removed python3-senlinclient from (build-)depends and requirements.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Oct 2025 12:49:55 +0200

rally-openstack (3.0.0-7) unstable; urgency=medium

  * Add remove-saharaclient-from-requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Jun 2025 11:31:30 +0200

rally-openstack (3.0.0-6) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2025 11:09:06 +0200

rally-openstack (3.0.0-5) unstable; urgency=medium

  * Removed python3-saharaclient from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2025 11:02:17 +0200

rally-openstack (3.0.0-4) unstable; urgency=medium

  * Add Remove_Murano.patch (Closes: #1102556).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Apr 2025 08:40:04 +0200

rally-openstack (3.0.0-3) unstable; urgency=medium

  * Add install-all-files.patch (Closes: #1093141).
  * Move config.ini to /etc/rally and symlink it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jan 2025 18:18:25 +0100

rally-openstack (3.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090688).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:48:38 +0100

rally-openstack (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed muranoclient (build-)depends.
  * Drop remove-gnocchiclient-constraint.patch.
  * Drop use-resolvectl-not-systemd-resolve.patch applied upstream.
  * Add --ignore tests/unit/test_pytest_launcher.py when running tests.
  * Ignore 4 failing tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Dec 2024 08:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rally-openstack
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -31,7 +30,6 @@
  python3-manilaclient,
  python3-mistralclient,
  python3-monascaclient,
- python3-muranoclient,
  python3-neutronclient,
  python3-novaclient,
  python3-octaviaclient,
@@ -42,16 +40,14 @@
  python3-osprofiler,
  python3-pygments,
  python3-pytest,
- python3-rally (>= 3.1.0),
+ python3-rally (>= 4.1.0),
  python3-requests,
- python3-saharaclient,
- python3-senlinclient,
  python3-swiftclient,
  python3-testtools,
  python3-troveclient,
  python3-watcherclient,
  python3-zaqarclient,
- rally (>= 2.1.0),
+ rally (>= 4.1.0),
 Standards-Version: 4.2.1
 Homepage: https://github.com/openstack/rally-openstack
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/rally-openstack
@@ -61,7 +57,7 @@
 Section: python
 Architecture: all
 Depends:
- rally (>= 3.1.0),
+ rally (>= 4.1.0),
  python3-barbicanclient,
  python3-cinderclient,
  python3-designateclient,
@@ -76,16 +72,13 @@
  python3-manilaclient,
  python3-mistralclient,
  python3-monascaclient,
- python3-muranoclient,
  python3-neutronclient,
  python3-novaclient,
  python3-octaviaclient,
  python3-os-faults,
  python3-osprofiler,
- python3-rally (>= 3.1.0),
+ python3-rally (>= 4.1.0),
  python3-requests,
- python3-saharaclient,
- python3-senlinclient,
  python3-swiftclient,
  python3-troveclient,
  python3-watcherclient,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
https://github.com/openstack/rally/tags .*/(\d\S*)\.tar\.gz
